
Core - Bug # 41050

Status: Closed Priority: Could have
Author: Simon Schaufelberger Category:
Created: 2012-09-18 Assigned To:
Updated: 2013-07-17 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity: easy
Is Regression:
Sprint Focus:
Subject: core itself calls deprecated method deprecationLogForOldExtCacheSetting
Description

see:
typo3\sysext\cms\tslib\index_ts.php

line 65

... and fills the deprecation log which the core itself should NOT do.

Related issues:
related to LTS Smooth Migration - Task # 49197: Check for 'Remove leftover de... Rejected 2013-06-17

History
#1 - 2012-09-19 00:28 - Markus Klein

Simon, are you sure this comes from deprecationLogForOldExtCacheSetting?
The method is @deprecated 6.0, but does not call \TYPO3\CMS\Core\Utility\GeneralUtility::logDeprecatedFunction(), hence there shouldn't be a
message.

(I don't remember whether the @deprecated comment is now handled automatically or the logDeprecatedFunction() call is still necessary.)

#2 - 2012-09-19 09:52 - Oliver Hader
- Status changed from New to Needs Feedback
- Priority changed from Must have to Could have

There's no automatic resolving of @deprecated annotations since this would require reflection on every method - the deprecation log has still to be
called individually.

For the case Simon mentions, the $GLOBALS['TYPO3_CONF_VARS']['SYS']['extCache'] is defined which is considered as deprecated - thus, remove
the setting in the Install Tool or typo3conf/LocalConfiguration.php directly.

#3 - 2013-02-27 13:14 - Markus Klein

Simon, what's the status here?

#4 - 2013-07-01 14:04 - Jigal van Hemert
- Status changed from Needs Feedback to Closed

Seems to be a configuration error; no feedback for over 90 days. Closed.

#5 - 2013-07-17 22:02 - Simon Schaufelberger

ups, totally lost focus about that one. well i don't care about that and i guess the core is fixed already since the code is always changing.
